Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlrpc.util
Class ReflectionUtil

    java.lang.Object
      org.apache.xmlrpc.util.ReflectionUtil

    public class ReflectionUtil

extends java.lang.Object

A utility class for using reflection.

Constructor Summary
`ReflectionUtil()`

Method Summary
`static boolean` | `setProperty(java.lang.Object pObject, java.lang.String pPropertyName, java.lang.String pPropertyValue)` This method attempts to set a property value on a given object by calling a matching setter.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReflectionUtil

    public ReflectionUtil()

Method Detail

### setProperty

    public static boolean setProperty(java.lang.Object pObject,
                                      java.lang.String pPropertyName,
                                      java.lang.String pPropertyValue)
                               throws java.lang.IllegalAccessException,
                                      java.lang.reflect.InvocationTargetException

  This method attempts to set a property value on a given object by calling a matching setter.

  Parameters:
    `pObject` - The object, on which a property is being set.
    `pPropertyName` - The property name.
    `pPropertyValue` - The property value.
  Returns:
    Whether a matching setter was found. The value false indicates, that no such setter exists.
  Throws:
    `java.lang.IllegalAccessException` - Setting the property value failed, because invoking the setter raised an `IllegalAccessException`.
    `java.lang.reflect.InvocationTargetException` - Setting the property value failed, because invoking the setter raised another exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 The Apache Software Foundation. All Rights Reserved.